From: [email-masked] (Jun Qi)
Date: Wed, 3 Nov 93 10:14:40 CST

Dear friends:

Everybody is entitled to have his or her own point of view. Please don't
get personal. For me, I'm against all kinds of illegal things in general.

I think Mi Mi Sr. has been doing a great job in leading the petition drive,
which is a very good efforts to have our voice heard. For now, most of us
are still worrying about PR, LAD, job . . . Threats from other groups may
make our life harder.

One of our LAD netter posted an article regarding CNN report on CND two
weeks ago, which makes more friends realize the problem. I wish we can
make more friends and let more American people understand us, instead of
guided by some biased groups. According to CND HXWZ, an American native
kid got yelled by other kids in Canada: "go back to China!" The child 
complained: "I'm not a Chinese. My folks came here earlier than anybody
else."

It's sad to see there're fights among ourselves. I hope we can share 
information and concerns here, not fire.